INTERFACE
SUBROUTINE ACUPD( KIDIA,KFDIA,KLON,KTDIA,KLEV,&
 & PAPRSF,PCP, PLHS, PLHV, PR,&
 & PIPOI, PPOID, PFALLR, PFALLS,&
 & PQU, PTU, PUDAL,&
 & PQV,PT,&
 & PFPLSL, PFPLSN, PFPEVPCL,PFPEVPCN,&
 & CDLOCK) 
USE PARKIND1 , ONLY: JPIM, JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
CHARACTER (LEN=5),INTENT(IN) :: CDLOCK
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLHS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLHV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPOI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPOID(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFALLR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFALLS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUDAL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPEVPCL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPEVPCN(KLON,0:KLEV)
END SUBROUTINE ACUPD
END INTERFACE
